Bug 1283228 - Review Request: nodejs-har-validator - Extremely fast HTTP Archive (HAR) validator using JSON Schema
Review Request: nodejs-har-validator - Extremely fast HTTP Archive (HAR) vali...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On: 1283150 1283190 1283218
Blocks: nodejs-reviews 994934
  Show dependency treegraph
 
Reported: 2015-11-18 08:44 EST by Piotr Popieluch
Modified: 2015-12-14 03:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 03:30:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-11-18 08:44:18 EST
Spec URL: https://piotrp.fedorapeople.org/nodejs-har-validator.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-har-validator-2.0.2-1.fc23.src.rpm
Description: Extremely fast HTTP Archive (HAR) validator using JSON Schema
Fedora Account System Username: piotrp
Comment 1 Tom Hughes 2015-12-05 06:41:34 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "ISC", "Unknown or generated". 53 files have unknown license.
     Detailed output of licensecheck in /home/tom/1283228-nodejs-har-
     validator/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/tom/1283228-nodejs-har-validator/results/nodejs-har-validator-2.0.2-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/compton-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/tom/1283228-nodejs-har-validator/results/nodejs-har-validator-2.0.2-1.fc24.noarch.rpm


Rpmlint
-------
Checking: nodejs-har-validator-2.0.2-1.fc24.noarch.rpm
          nodejs-har-validator-2.0.2-1.fc24.src.rpm
nodejs-har-validator.noarch: W: only-non-binary-in-usr-lib
nodejs-har-validator.noarch: W: dangling-symlink /usr/lib/node_modules/har-validator/node_modules/pinkie-promise /usr/lib/node_modules/pinkie-promise
nodejs-har-validator.noarch: W: dangling-symlink /usr/lib/node_modules/har-validator/node_modules/is-my-json-valid /usr/lib/node_modules/is-my-json-valid
nodejs-har-validator.noarch: W: dangling-symlink /usr/lib/node_modules/har-validator/node_modules/commander /usr/lib/node_modules/commander
nodejs-har-validator.noarch: W: dangling-symlink /usr/lib/node_modules/har-validator/node_modules/chalk /usr/lib/node_modules/chalk
nodejs-har-validator.noarch: W: no-manual-page-for-binary har-validator
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Requires
--------
nodejs-har-validator (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(chalk)
    npm(commander)
    npm(is-my-json-valid)
    npm(pinkie-promise)



Provides
--------
nodejs-har-validator:
    nodejs-har-validator
    npm(har-validator)



Source checksums
----------------
https://github.com/ahmadnassri/har-validator/archive/46efd17253a81fb70614e904d9e766aa4de4f394.tar.gz#/har-validator-46efd17.tar.gz :
  CHECKSUM(SHA256) this package     : 0ce29e0ed1f576ece41309ae53f43cead892235f64d21803f31f92f2d240db0e
  CHECKSUM(SHA256) upstream package : 0ce29e0ed1f576ece41309ae53f43cead892235f64d21803f31f92f2d240db0e


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1283228
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2015-12-05 06:41:54 EST
Needs updating to 2.0.3 but other than that it looks good.
Comment 4 Tom Hughes 2015-12-06 06:04:11 EST
Looks good. Package approved.
Comment 5 Till Maas 2015-12-06 10:35:04 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-har-validator
Comment 6 Fedora Update System 2015-12-06 13:43:56 EST
nodejs-har-validator-2.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-71699b0212
Comment 7 Fedora Update System 2015-12-07 23:33:03 EST
nodejs-har-validator-2.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-har-validator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-71699b0212

Note You need to log in before you can comment on or make changes to this bug.